Index: src/common/utils.c
diff -Nau src/common/utils.c.orig src/common/utils.c
--- src/common/utils.c.orig	2004-04-17 00:08:51.000000000 +0200
+++ src/common/utils.c	2004-04-20 12:21:33.000000000 +0200
@@ -34,7 +34,6 @@
 #include <sys/stat.h>
 #include <sys/wait.h>
 #include <sys/utsname.h>
-#include <alloca.h>
 
 #ifdef HAVE_X11
 #include <X11/Xlib.h>
Index: src/aaui/Makefile.in
diff -Nau src/aaui/Makefile.in.orig src/aaui/Makefile.in
--- src/aaui/Makefile.in.orig	2004-04-17 00:11:49.000000000 +0200
+++ src/aaui/Makefile.in	2004-04-20 12:21:33.000000000 +0200
@@ -285,7 +285,7 @@
 
 am_aaxine_OBJECTS = $(am__objects_1) aaxine-main.$(OBJEXT)
 aaxine_OBJECTS = $(am_aaxine_OBJECTS)
-aaxine_LDFLAGS =
+aaxine_LDFLAGS = -Wl,-E
 am_cacaxine_OBJECTS = $(am__objects_1) cacaxine-main.$(OBJEXT)
 cacaxine_OBJECTS = $(am_cacaxine_OBJECTS)
 cacaxine_LDFLAGS =
Index: src/fb/Makefile.in
diff -Nau src/fb/Makefile.in.orig src/fb/Makefile.in
--- src/fb/Makefile.in.orig	2004-04-17 00:11:51.000000000 +0200
+++ src/fb/Makefile.in	2004-04-20 12:21:33.000000000 +0200
@@ -276,7 +276,7 @@
 	stdctl.$(OBJEXT) post.$(OBJEXT) osd.$(OBJEXT) \
 	config_wrapper.$(OBJEXT)
 fbxine_OBJECTS = $(am_fbxine_OBJECTS)
-fbxine_LDFLAGS =
+fbxine_LDFLAGS = -Wl,-E
 
 DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
Index: src/xitk/Makefile.in
diff -Nau src/xitk/Makefile.in.orig src/xitk/Makefile.in
--- src/xitk/Makefile.in.orig	2004-04-17 00:11:52.000000000 +0200
+++ src/xitk/Makefile.in	2004-04-20 12:21:33.000000000 +0200
@@ -395,10 +395,10 @@
 	tvout.$(OBJEXT) tvset.$(OBJEXT) videowin.$(OBJEXT) \
 	viewlog.$(OBJEXT)
 xine_OBJECTS = $(am_xine_OBJECTS)
-xine_LDFLAGS =
+xine_LDFLAGS = -Wl,-E
 am_xine_remote_OBJECTS = xine-remote.$(OBJEXT)
 xine_remote_OBJECTS = $(am_xine_remote_OBJECTS)
-xine_remote_LDFLAGS =
+xine_remote_LDFLAGS = -Wl,-E
 
 DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
Index: src/xitk/event.c
diff -Nau src/xitk/event.c.orig src/xitk/event.c
--- src/xitk/event.c.orig	2004-04-20 14:01:44.000000000 +0200
+++ src/xitk/event.c	2004-04-20 14:01:47.000000000 +0200
@@ -348,7 +348,7 @@
   ds  = sec / 10;
   sec -= 10 * ds;
 
-  snprintf(buf, sizeof(buf), "%s%02" PRIi64 ":%d%.2f (%" PRIi64 " pts)", sign ? "-" : "", min, ds, sec, pts);
+  snprintf(buf, sizeof(buf), "%s%02li:%d%.2f (%li pts)", sign ? "-" : "", min, ds, sec, pts);
 
   return buf;
 }
Index: src/xitk/main.c
diff -Nau src/xitk/main.c.orig src/xitk/main.c
--- src/xitk/main.c.orig	2004-04-20 14:16:18.000000000 +0200
+++ src/xitk/main.c	2004-04-20 14:16:23.000000000 +0200
@@ -1171,12 +1171,6 @@
 	  snprintf(buffer, sizeof(buffer), "%s", _("No Informations available."));
 	break;
 
-      case XINE_MSG_AUDIO_OUT_UNAVAILABLE:
-	gui_stop(NULL, NULL);
-	snprintf(buffer, sizeof(buffer), "%s", _("The audio device is unavailable. "
-						 "Please verify if another program already use it."));
-	break;
-
       default:
 	snprintf(buffer, sizeof(buffer), "%s", _("*sight*, unkown error."));
 	if(data->explanation)
